diff --git a/docs/protractor-conf.js b/docs/protractor-conf.js
index e85d509a9d52..9a9fb977b342 100644
--- a/docs/protractor-conf.js
+++ b/docs/protractor-conf.js
@@ -6,8 +6,6 @@ config.specs = [
   'app/e2e/**/*.scenario.js'
 ];
 
-config.capabilities = {
-  browserName: 'chrome',
-};
+config.capabilities.browserName = 'chrome';
 
 exports.config = config;
diff --git a/protractor-conf.js b/protractor-conf.js
index db0df757bbe0..d5078d9d52ce 100644
--- a/protractor-conf.js
+++ b/protractor-conf.js
@@ -8,9 +8,7 @@ config.specs = [
   'docs/app/e2e/**/*.scenario.js'
 ];
 
-config.capabilities = {
-  browserName: 'chrome'
-};
+config.capabilities.browserName = 'chrome';
 
 config.directConnect = true;
 
diff --git a/protractor-shared-conf.js b/protractor-shared-conf.js
index 7b09ee76255f..e39735058418 100644
--- a/protractor-shared-conf.js
+++ b/protractor-shared-conf.js
@@ -7,6 +7,11 @@ exports.config = {
 
   framework: 'jasmine2',
 
+  capabilities: {
+    // Fix element scrolling behavior in Firefox for fixed header elements (like angularjs.org has)
+    'elementScrollBehavior': 1
+  },
+
   onPrepare: function() {
     /* global angular: false, browser: false, jasmine: false */
 
diff --git a/protractor-travis-conf.js b/protractor-travis-conf.js
index 706169ceb584..f33f56b1349b 100644
--- a/protractor-travis-conf.js
+++ b/protractor-travis-conf.js
@@ -13,7 +13,7 @@ if (process.env.BROWSER_PROVIDER === 'browserstack') {
     }),
     capabilitiesForBrowserStack({
       browserName: 'firefox',
-      version: '28'
+      version: '47'
     }),
     capabilitiesForBrowserStack({
       browserName: 'safari',
@@ -33,7 +33,7 @@ if (process.env.BROWSER_PROVIDER === 'browserstack') {
     }),
     capabilitiesForSauceLabs({
       browserName: 'firefox',
-      version: '28'
+      version: '47'
     }),
     capabilitiesForSauceLabs({
       browserName: 'safari',
@@ -54,7 +54,7 @@ function capabilitiesForBrowserStack(capabilities) {
   return {
     'browserstack.user': process.env.BROWSER_STACK_USERNAME,
     'browserstack.key': process.env.BROWSER_STACK_ACCESS_KEY,
-    'browserstack.local' : 'true',
+    'browserstack.local': 'true',
     'browserstack.debug': 'true',
     'browserstack.tunnelIdentifier': process.env.TRAVIS_JOB_NUMBER,
     'tunnelIdentifier': process.env.TRAVIS_JOB_NUMBER,
@@ -64,7 +64,8 @@ function capabilitiesForBrowserStack(capabilities) {
 
     'browserName': capabilities.browserName,
     'platform': capabilities.platform,
-    'version': capabilities.version
+    'version': capabilities.version,
+    'elementScrollBehavior': 1
   };
 }
 
@@ -77,6 +78,7 @@ function capabilitiesForSauceLabs(capabilities) {
 
     'browserName': capabilities.browserName,
     'platform': capabilities.platform,
-    'version': capabilities.version
+    'version': capabilities.version,
+    'elementScrollBehavior': 1
   };
 }
